#include <bits/stdc++.h>
using namespace std;
int c[100],dem=1,i=0;
void th(int n)
{

	int a;
	if(n<10) c[i]=n;
	else
	{
		c[i]=n%10;
		dem++;
		i++;
		th(n/10);
	}

}
int main()

{
	int a,n;

	ifstream f1("DQND.INP");
	f1>>n;
	th(n);
	f1.close();
		ofstream f2("DQND.OUT");
		for (a=0;a<=i;a++)f2<<c[a];
		f2<<endl;
		f2<<dem;
		f2.close();
}
